// -----responsive------------
@mixin respondTo($_media) {
  @if $_media == phones {
    @media all and (max-width: 479px) {
      @content;
    }
  } @else if $_media == wide-phones {
    @media all and (min-width: 480px) and (max-width: 767px) {
      @content;
    }
  } @else if $_media == tablets {
    @media all and (min-width: 768px) and (max-width: 991px) {
      @content;
    }
  } @else if $_media == small-desktops {
    @media all and (min-width: 992px) and (max-width: 1199px) {
      @content;
    }
  } @else if $_media == lg-desktops {
    @media all and (min-width: 1200px) and (max-width: 1620px) {
      @content;
    }
  } @else if $_media == xlg-desktops {
    @media all and (min-width: 1620px) and (max-width: 1920px) {
      @content;
    }
  }
}

@mixin max-width {
  @include respondTo(xlg-desktops) {
    max-width: 1600px;
    margin: 0 auto;
  }
  @include respondTo(lg-desktops) {
    max-width: 1320px;
    margin: 0 auto;
  }
  @include respondTo(small-desktops) {
    max-width: 1170px;
    margin: 0 2em;
  }
  @include respondTo(tablets) {
    margin: 0 2em;
  }
  @include respondTo(wide-phones) {
    margin: 0 1em;
  }
  @include respondTo(phones) {
    margin: 0 1em;
  }
}

@mixin section-title {
  font-size: $h2-size;
  margin-bottom: 0.5em;
  font-family: $users-main-title;
  font-weight: 700;
  text-transform: uppercase;
  @include respondTo(phones) {
    font-size: $h3-size;
  }
}

@mixin renderHtmlAllZero {
  div,
  span,
  applet,
  object,
  iframe,
  h1,
  h2,
  h3,
  h4,
  h5,
  h6,
  p,
  blockquote,
  pre,
  a,
  abbr,
  acronym,
  address,
  big,
  cite,
  code,
  del,
  dfn,
  em,
  img,
  ins,
  kbd,
  q,
  s,
  samp,
  small,
  strike,
  strong,
  sub,
  sup,
  tt,
  var,
  b,
  u,
  i,
  center,
  dl,
  dt,
  dd,
  ol,
  ul,
  li,
  fieldset,
  form,
  label,
  legend,
  table,
  caption,
  tbody,
  tfoot,
  thead,
  tr,
  th,
  td,
  article,
  aside,
  canvas,
  details,
  embed,
  figure,
  figcaption,
  footer,
  header,
  hgroup,
  menu,
  nav,
  output,
  ruby,
  section,
  summary,
  time,
  mark,
  audio,
  video {
    display: block;
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    text-align: left;
  }
}
